Web Browser
Closed, ResolvedPublic

Description

A lightweight browser, optimized for usage in mobile devices.

It would be great if we could co-work with Falkon team so as to add mobile friendly UI to falkon or make plasma-angelfish feature rich.

Knowledge Requirements: Willing to learn Qt/QML, CMake.

System Requirements: You can develop this application on normal Linux system, and test it in native Linux system. If you want to test it on Plasma Mobile system, you can use actual Mobile device or Plasma Mobile x86 ISO in emulated environment.

Related Objects

StatusAssignedTask
OpenNone
ResolvedNone
raddau added a subscriber: raddau.Sep 20 2018, 11:37 AM

I'd like to help with this. I have experience working with Qt 5. It's been a couple of years, but I'll manage to get back into it in no time. I currently have about one full work day per week that I could dedicate to it.

I'm still finding my way around Plasma Mobile docs, so I don't know much about UI specs & stuff yet. I already have a question, though: What about using Qt WebBrowser as a base for this? It was the first application that came to my mind when I thought about developing a browser for Plasma Mobile. Falkon is more feature rich, though, that's for sure.

Your help would be appreciated.

There is Angelfish browser, you could use it as base:
https://cgit.kde.org/plasma-angelfish.git/

For UI guidelines, have a look at hig.kde.org.

The current state of angelfish can be found here (https://invent.kde.org/jbbgameich/plasma-angelfish). It should be merged back into the main repository and migrated to invent.kde.org.
Still missing features:

  • search engine configuration
  • Tab closing (WIP)

Nowadays angelfish is mostly usable as a daily driver web browser. The task could probably be marked as done.

jbbgameich closed this task as Resolved.Jun 24 2019, 6:21 PM
neofytosk added a subscriber: neofytosk.EditedJun 30 2019, 3:40 PM

@jbbgameich just a friendly request for us lurkers that like to keep an eye on Plasma Mobile development: would it be possible to add screenshots to the applications you host on invent so we can take a peak into how they look? =D thanks, and keep up the awesome work!

For now you can find screenshots on https://www.plasma-mobile.org/screenshots/. I'll look into adding them to the appstream metadata and README.